Technical Requirements

To use 180 Skills courses, please make sure your computer meets the following minimum requirements:

Browser

  • An up-to-date version of Chrome or Firefox is strongly recommended.
  • We also support Internet Explorer 9 and above.
  • Internet Explorer 8 is not supported
  • Mobile browsers are not supported at this time.

Adobe Flash Player

  • 180 Skills courses require the Adobe Flash Player plugin.
  • Get Adobe Flash Player plugin here:Adobe Flash Player

Screen Resolution

  • Minimum screen resolution of 1024 width x 768 height.

Audio

  • Speakers or headphones are recommended.

Internet Connectivity

  • Download: 2+ Mbps recommended; minimum 1 Mbps.

Operating System

  • PC: Windows XP or higher with latest updates installed (note: Internet Explorer 8 is not supported).
  • Linux: Any recent distribution that meets the browser specifications above.